Package org.jfree.layouting.util.geom

## Class StrictPoint

- java.lang.Object
- - org.jfree.layouting.util.geom.StrictPoint

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class StrictPoint
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  A StrictPoint class represents a coordinate in the report layout. It is similiar to the `Point2D` class, but uses micro-points instead of doubles.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StrictPoint​()` | DefaultConstructor.
    `StrictPoint​(long x, long y)` | Creates a StrictBounds object with the given coordinates, width and height.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` | Returns a copy of this Point object.
    `boolean` | `equals​(java.lang.Object o)` | Checks, whether the given object is a StrictPoint instance sharing the same coordinates as this point.
    `StrictPoint` | `getLockedInstance​()` | Returns a copy of this bounds object which cannot be modified anymore.
    `StrictPoint` | `getUnlockedInstance​()` | Returns a copy of this bounds object which can be modified later.
    `long` | `getX​()` | Returns the X coordinate of this `StrictPoint` in micro points.
    `long` | `getY​()` | Returns the Y coordinate of this `StrictPoint` in micro points.
    `int` | `hashCode​()` | Computes the hashcode for this point.
    `boolean` | `isLocked​()` | Checks, whether this point object is locked.
    `void` | `setLocation​(long x, long y)` | Sets the location of this `StrictPoint` to the specified coordinates.
    `java.lang.String` | `toString​()` | Returns a string representation of these bounds.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StrictPoint

          public StrictPoint​()

      DefaultConstructor.

    - #### StrictPoint

          public StrictPoint​(long x,
                             long y)

      Creates a StrictBounds object with the given coordinates, width and height.
      Parameters:
        `x` - the x-coordinate
        `y` - the y-coordinate

  - ### Method Detail

    - #### getX

          public long getX​()

      Returns the X coordinate of this `StrictPoint` in micro points.
      Returns:
        the X coordinate of this `StrictPoint`.

    - #### getY

          public long getY​()

      Returns the Y coordinate of this `StrictPoint` in micro points.
      Returns:
        the Y coordinate of this `StrictPoint`.

    - #### setLocation

          public void setLocation​(long x,
                                  long y)

      Sets the location of this `StrictPoint` to the specified coordinates.
      Parameters:
        `x` - the coordinates of this `StrictPoint`
        `y` - the coordinates of this `StrictPoint`

    - #### isLocked

          public boolean isLocked​()

      Checks, whether this point object is locked.
      Returns:
        true, if the point is locked and therefore immutable, false otherwise.

    - #### getLockedInstance

          public StrictPoint getLockedInstance​()

      Returns a copy of this bounds object which cannot be modified anymore.
      Returns:
        a locked copy.

    - #### getUnlockedInstance

          public StrictPoint getUnlockedInstance​()

      Returns a copy of this bounds object which can be modified later.
      Returns:
        an unlocked copy.

    - #### clone

          public java.lang.Object clone​()

      Returns a copy of this Point object. This method will never throw a 'CloneNotSupportedException'.
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        the cloned instance.

    - #### toString

          public java.lang.String toString​()

      Returns a string representation of these bounds.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string representing this object.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Checks, whether the given object is a StrictPoint instance sharing the same coordinates as this point.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - the other object.
      Returns:
        true, if the other object is equal to this object, false otherwise.

    - #### hashCode

          public int hashCode​()

      Computes the hashcode for this point.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        the computed hashcode.